com.corticon.rulesemf.viewrulemodel.rulesheet.decisiontable

## Interface ActionItem

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ActionItem
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Action Item'.

  The following features are supported:

  - `Disabled`
  - `Row Height`
  - `Natural Language Text`
  - `Value Set Cell`
  - `Expression Cell`
  See Also:
    `DecisiontablePackage.getActionItem()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ExpressionCell` | `getExpressionCell()` Returns the value of the 'Expression Cell' containment reference
    `org.eclipse.emf.common.util.EList` | `getNaturalLanguageText()` Returns the value of the 'Natural Language Text' containment reference list.
    `int` | `getRowHeight()` Returns the value of the 'Row Height' attribute
    `ValueSetCell` | `getValueSetCell()` Returns the value of the 'Value Set Cell' containment reference
    `boolean` | `isDisabled()` Returns the value of the 'Disabled' attribute
    `void` | `setDisabled(boolean value)` Sets the value of the '`Disabled`' attribute
    `void` | `setExpressionCell(ExpressionCell value)` Sets the value of the '`Expression Cell`' containment reference
    `void` | `setRowHeight(int value)` Sets the value of the '`Row Height`' attribute
    `void` | `setValueSetCell(ValueSetCell value)` Sets the value of the '`Value Set Cell`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isDisabled

          boolean isDisabled()

      Returns the value of the 'Disabled' attribute.

      If the meaning of the 'Disabled' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Disabled' attribute.
      See Also:
        `setDisabled(boolean)`, `DecisiontablePackage.getActionItem_Disabled()`

    - #### setDisabled

          void setDisabled(boolean value)

      Sets the value of the '`Disabled`' attribute.
      Parameters:
        `value` - the new value of the 'Disabled' attribute.
      See Also:
        `isDisabled()`

    - #### getRowHeight

          int getRowHeight()

      Returns the value of the 'Row Height' attribute.

      If the meaning of the 'Row Height' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Row Height' attribute.
      See Also:
        `setRowHeight(int)`, `DecisiontablePackage.getActionItem_RowHeight()`

    - #### setRowHeight

          void setRowHeight(int value)

      Sets the value of the '`Row Height`' attribute.
      Parameters:
        `value` - the new value of the 'Row Height' attribute.
      See Also:
        `getRowHeight()`

    - #### getNaturalLanguageText

          org.eclipse.emf.common.util.EList getNaturalLanguageText()

      Returns the value of the 'Natural Language Text' containment reference list. The list contents are of type `RulesheetString`.

      If the meaning of the 'Natural Language Text' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Natural Language Text' containment reference list.
      See Also:
        `DecisiontablePackage.getActionItem_NaturalLanguageText()`

    - #### getValueSetCell

          ValueSetCell getValueSetCell()

      Returns the value of the 'Value Set Cell' containment reference.

      If the meaning of the 'Value Set Cell' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Value Set Cell' containment reference.
      See Also:
        `setValueSetCell(ValueSetCell)`, `DecisiontablePackage.getActionItem_ValueSetCell()`

    - #### setValueSetCell

          void setValueSetCell(ValueSetCell value)

      Sets the value of the '`Value Set Cell`' containment reference.
      Parameters:
        `value` - the new value of the 'Value Set Cell' containment reference.
      See Also:
        `getValueSetCell()`

    - #### getExpressionCell

          ExpressionCell getExpressionCell()

      Returns the value of the 'Expression Cell' containment reference.

      If the meaning of the 'Expression Cell' containment reference isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Expression Cell' containment reference.
      See Also:
        `setExpressionCell(ExpressionCell)`, `DecisiontablePackage.getActionItem_ExpressionCell()`

    - #### setExpressionCell

          void setExpressionCell(ExpressionCell value)

      Sets the value of the '`Expression Cell`' containment reference.
      Parameters:
        `value` - the new value of the 'Expression Cell' containment reference.
      See Also:
        `getExpressionCell()`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.